%% Psychological interventions
% script written by N Trudel, 2020-2021
% study conducted for SparkWave with Spencer Greenberg


clear all;
close all;
addpath('setdefaults');
addpath('data');

s ={}; % struct with all data

%%---------------------------------------------------------------------------------------------------------------------------------------------------------------------
%% Load data: study 1-3
%   ,,`,,,,`,,`,,,,`,,

s = load_alldata(s);


%%---------------------------------------------------------------------------------------------------------------------------------------------------------------------
%% Outcome measures: depression and life quality
%   ,,`,,,,`,,`,,,,`,,

s = get_outM(s);

%%---------------------------------------------------------------------------------------------------------------------------------------------------------------------
%% Agreement & Improvement scores
%   ,,`,,,,`,,`,,,,`,,

s = AgreeImprove(s);


%%---------------------------------------------------------------------------------------------------------------------------------------------------------------------
%% Pairwise correlation across outcome measures and all psychological factors 
%   ,,`,,,,`,,`,,,,`,,

s = PairCorr(s);


%%---------------------------------------------------------------------------------------------------------------------------------------------------------------------
%% Multiple regression: depression and life quality predicted by all psychological factors 
%   ,,`,,,,`,,`,,,,`,,


s = allGLMs(s);


%%---------------------------------------------------------------------------------------------------------------------------------------------------------------------
%% Multiple regression: all individual items from most predictive psychological factors predicting life quality and depression
%   ,,`,,,,`,,`,,,,`,,

s = GLMindivitems(s);


%% done.
keyboard