function [s] = allGLMs(s)
%% Main GLMs that are depicted in the article:

% runs GLM for life quality and depression for study 1,2


%% ----------  A: depression <- overall scales




% --- study 1:
name01 = {'EmotOver';'negselftalk';'negselfimg';...
    'interconf';'emotiso'; 'selfcomp';...
    'emotclar';'emotexp'};

Freqscore01 = s.dat{1}.avgfreqmat{1};
DepScore  = nannormalise(get_from_mat(s.dat{1}.pmat, 'phq9DepressionScore0to1Scale'));
[betas, b, stats]=glmfit(nannormalise(Freqscore01),nannormalise(DepScore))

% to get R squared:
mdl=[];
mdl=fitlm(nannormalise(Freqscore01),nannormalise(DepScore));




betas(1)=[]; % delete constant
figure
subplot(1,2,1)
title('study1:depression');hold all;
bar(betas)
set_default_fig_properties(gca,gcf);hold all;
set(gca,'XTick',1: length(name01));
set(gca,'XTickLabel',name01,'FontSize',12);
xtickangle(45)
ylabel('Depression beta')
ylim([-0.2 0.7])
% --- study 2:

name02 = {'EmotOver';'negselftalk';'negselfimg';...
    'interconf';'emotiso'};

Freqscore02=[];DepScore=[];
Freqscore02 = s.dat{3}.avgfreqmat{2};
DepScore  = nannormalise(get_from_mat(s.dat{3}.pmat, 'phq9DepressionScore0to1Scale'));
[betas02, b, stats02]=glmfit(nannormalise(Freqscore02),nannormalise(DepScore));

% to get R squared:
mdl=[];
mdl=fitlm(nannormalise(Freqscore02),nannormalise(DepScore));



subplot(1,2,2)
title('study3:depression');hold all;
betas02(1)=[]; % delete constant
bar(betas02)
set_default_fig_properties(gca,gcf);hold all;
set(gca,'XTick',1: length(name02));
set(gca,'XTickLabel',name02,'FontSize',12);
xtickangle(45)
ylabel('Depression beta')
ylim([-0.2 0.7])









%% ----------  B: life quality <- overall scales


% -- study1:

LifeQ = nannormalise(s.dat{1}.outvar(:,1));
[betas, b, stats]=glmfit(nannormalise(Freqscore01),nannormalise(LifeQ))

% to get R squared:
mdl=fitlm(nannormalise(Freqscore01),nannormalise(LifeQ));




betas(1)=[]; % delete constant
figure
subplot(1,2,1)
title('study1: Life quality');hold all;
bar(betas)
set_default_fig_properties(gca,gcf);hold all;
set(gca,'XTick',1: length(name01));
set(gca,'XTickLabel',name01,'FontSize',12);
xtickangle(45)
ylabel('Life Quality beta')
ylim([-0.8 0.4])

% -- study 2:
LifeQ=[];
LifeQ = nannormalise(s.dat{3}.outvar(:,1));
[betas02, b, stats02]=glmfit(nannormalise(Freqscore02),nannormalise(LifeQ))

mdl=fitlm(nannormalise(Freqscore02),nannormalise(LifeQ));


betas02(1)=[]; % delete constant

subplot(1,2,2)
title('study3: Life quality');hold all;
bar(betas02)
set_default_fig_properties(gca,gcf);hold all;
set(gca,'XTick',1: length(name02));
set(gca,'XTickLabel',name02,'FontSize',12);
xtickangle(45)
ylabel('Life Quality beta')
ylim([-0.8 0.4])




end