function [s] = get_outM(s)
%% gets outcome measures
% 1. depression measured with phq9
% 2. life outcome, assessed by a previous factor analysis



%% study 1: Life quality

% these items were selected according to a previous factor analysis:
% items from PERMA L_T, PERMA happy, interpersonal conflict, friendship
% index, swlss score

LQnames = {'MyLifeHasAPurpose__76roupw_';'IKnowIAmOnTheRightPathToAchievingMyObjectives__5vfm';'IGetSoEngagedInWhatIAmDoingThatILoseTrackOfTime_';'IFeelMyHealthIsGood__iosr0pc_';...
    'IOftenFeelCheerful__yqbpslh_';'ThereArePeopleICanCountOnWhenINeedThem__r1z0fje_';'IOftenMeetMyPersonalGoals__1xdpubd_';'ILeadAWorthy_FruitfulLife__bej1rf5_';...
    'IOftenFeelInAGoodMood__59i6zpk_';'ThereAreThingsInMyLifeIFeelEnthusiasticAbout__7c3yqht';'IGenerallyFeelAlone__v7rif6j_';'IFeelThereArePeopleWhoReallyCareAboutMe__s2z8u6z_';...
    'IGetThingsDone__y2bbxag_';'MyPurposeInLifeIsClear__dg166zf_';'MyHealthIsBetterThanThatOfOtherPeopleMyAge__p1azm41_';'IAmHappyAboutMyRelationshipWithThePeopleAroundMe__73';...
    'IBecomeAbsorbedInTheActivitiesILikeToDo__nz9yzj5_';'IAmSatisfiedWithMyLife__w4l58pu_';'IAmAHappyPerson__88uwj3z_';'WhenHavingAConflictWithOthers_IKnowHowToHandleItEff';...
    'ITalkToSomeoneAboutHowIAmFeeling__460mf52_';'friendShipSatisfaction';'InMostWaysMyLifeIsCloseToMyIdeal_tiytxee_';'TheConditionsOfMyLifeAreExcellent_uqdjk05_';...
    'IAmSatisfiedWithMyLife_wtgee00_';'SoFarIHaveGottenTheImportantThingsIWantInLife_gavny';'IfICouldLiveMyLifeOver_IWouldChangeAlmostNothing_7d'};


outLQ = mean(get_from_mat(s.dat{1}.pmat, LQnames)')';
outDE = get_from_mat(s.dat{1}.pmat, 'phq9DepressionScore0to1Scale')';

s.dat{1}.outvar         = [outLQ outDE'];
s.dat{1}.outvar_names   = {'LifeQuality';'Depression'};

%% study 2: Life quality


outLQ_02 = get_from_mat(s.dat{3}.pmat, 'swlsScore0to1Scale')';
outDE_02 = get_from_mat(s.dat{3}.pmat, 'phq9DepressionScore0to1Scale')';

s.dat{3}.outvar         = [outLQ_02' outDE_02'];
s.dat{3}.outvar_names   = {'LifeQuality';'Depression'};

end

